# TODO:
#  - use bconds
Summary:	Rexx interpreter
Summary(de):	Ein Interpreter fr REXX
Summary(pl):	Interpreter jzyka REXX
Name:		Regina
Version:	3.3
Release:	0.1
License:	GPL
Group:		Applications
Source0:	http://dl.sourceforge.net/regina-rexx/%{name}-REXX-%{version}.tar.gz
# Source0-md5:	bdb85f57cbe3e7f9b45aea329cd7752e
Source1:	%{name}.init
Patch0:		%{name}-makefileinfix.patch
URL:		http://regina-rexx.sourceforge.net
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Provides:	rexx
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Regina is a Rexx interpreter that has been ported to most Unix
platforms (Linux, FreeBSD, Solaris, AIX, HP-UX, etc.) and also to
OS/2, eCS, DOS, Win9x/Me/NT/2k/XP, Amiga, AROS, QNX4.x, QNX6.x BeOS,
MacOS X, EPOC32, AtheOS, OpenVMS, SkyOS and OpenEdition. Rexx is a
programming language that was designed to be easy to use for
inexperienced programmers yet powerful enough for experienced users.
It is also a language ideally suited as a macro language for other
applications.

There are two major goals for Regina:
- become 100% compliant with the ANSI Standard.
- be available on as many platforms as possible

%description -l de
Regina ist ein Rexx Interpreter der fr die meisten Unix Platformen
bersetzt worden ist (Linux, FreeBSD, Solaris, AIX, HP-UX, usw.) und
auser dem auch fr OS/2, eCS, DOS, Win9x/Me/NT/2k/XP, Amiga, Aros,
QNX4.x, QNX6.x, BeOS, MacOS X, EPOC32, AtheOS, OpenVMS, SkyOS und
OpenEdition. Rexx ist eine Programiersprache die fr unerfahrene
Programierer entwickelt wurde aber Stark genug fr erfahrene
Programierer ist. Es ist ebenfalls eine Sprache die sich ideal als
Makrosprache fr andere Applikationen eignet.

Regina hat zwei Hauptziele:
- es soll 100% kompatibel mit dem ANSI Standard sein
- es soll auf so vielen Platformen wie nur mglich laufen

%description -l pl
Regina jest interpreterem jzyka REXX, ktry zosta ju przeniesiony
na wikszo Unixowych platform (Linux, FreeBSD, Solaris, AIX, HP-UX,
itp.) a take OS/2, eCS, DOS, Win9x/Me/NT/2k/XP, Amiga, AROS, QNX4.x,
QNX6.x, BeOS, MacOS X, EPOC32, AtheOS, OpenVMS, SkyOS and OpenEdition.
Rexx jest jzykiem programowania, ktry zosta zaprojektowany, by by
prostym w uyciu przez niedowiadczonych programistw oraz
wystarczajco uytecznym, by by uywanym przez dowiadczonych.
Idealnie sprawdza si jako jzyk pisania makr dla innych aplikacji

Dwa gwne cele tego interpretera, to
- Stuprocentowa kompatybilno ze standardemi ANSI
- dostpno na jak najwikszej liczbie platform

%package devel
Summary:	Header files for Regina
Summary(de):	Header Dateien fr Regina
Summary(pl):	Pliki nagwkowe dla Regina
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Development files for Regina.

%description devel -l de
Header Dateien fr Regina.

%description devel -l pl
Pliki nagwkowe dla Regina.

%package libs
Summary:	Libraries for Regina
Summary(de):	Regina Libraries
Summary(pl):	Biblioteki dla Regina
Group:		Libraries
Provides:	libregina.so
Provides:	libregina.so(REXXSAA_API)
Provides:	libregina.so(regina_2.0)

%description libs
Regina libraries.

%description libs -l de
Regina Libraries.

%description libs -l pl
Biblioteki dla packietu Regina.

%prep
%setup -q
%patch0 -p1

%build
./configure
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/rc.d/init.d/,%{_mandir}/man1}
%{__make} install \
    DESTDIR=$RPM_BUILD_ROOT
install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/rxstack
install regina.1 $RPM_BUILD_ROOT%{_mandir}/man1
rm -f $RPM_BUILD_ROOT%{_prefix}/etc/rc.d/init.d/rxstack
rm -f $RPM_BUILD_ROOT%{_prefix}/man1/regina.1

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add rxstack
%service rxstack restart

%preun
if [ "$1" = "0" ] ; then
	%service rxstack stop
	/sbin/chkconfig --del rxstack
fi

%post libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING-LIB README* demo
%attr(755,root,root) %{_bindir}/*
%attr(754,root,root) /etc/rc.d/init.d/rxstack
%dir %{_datadir}/regina
%attr(755,root,root) %{_datadir}/regina/*.rexx
%{_datadir}/regina/*.mtb
%{_mandir}/man1/regina.1*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/*.so

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/*.a
%{_includedir}/rexxsaa.h
